Sync.MyCopy (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Sync.MyCopy,Sync.MyCopy class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Sync.MyCopy

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.Copy
                        |
                        +--org.apache.tools.ant.taskdefs.Sync.MyCopy

Enclosing class:
  Sync

public static class Sync.MyCopy
extends Copy

Subclass Copy in order to access it's file/dir maps.

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.Copy
`completeDirMap, destDir, destFile, dirCopyMap, failonerror, file, fileCopyMap, filesets, fileUtils, filtering, flatten, forceOverwrite, includeEmpty, mapperElement, preserveLastModified, verbosity`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Sync.MyCopy()`

Method Summary
`protected void` | `buildMap(java.io.File fromDir, java.io.File toDir, java.lang.String[] names, FileNameMapper mapper, java.util.Hashtable map)` Add to a map of files/directories to copy
`boolean` | `getIncludeEmptyDirs()`
`java.io.File` | `getToDir()`

Methods inherited from class org.apache.tools.ant.taskdefs.Copy
`add, addFileset, createFilterChain, createFilterSet, createMapper, doFileOperations, execute, getEncoding, getFileUtils, getFilterChains, getFilterSets, getOutputEncoding, getPreserveLastModified, isEnableMultipleMapping, scan, setEnableMultipleMappings, setEncoding, setFailOnError, setFile, setFiltering, setFlatten, setGranularity, setIncludeEmptyDirs, setOutputEncoding, setOverwrite, setPreserveLastModified, setPreserveLastModified, setTodir, setTofile, setVerbose, validateAttributes`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sync.MyCopy

    public Sync.MyCopy()

Method Detail

### buildMap

    protected void buildMap(java.io.File fromDir,
                            java.io.File toDir,
                            java.lang.String[] names,
                            FileNameMapper mapper,
                            java.util.Hashtable map)

  Description copied from class: `Copy`
  Add to a map of files/directories to copy

  Overrides:
    `buildMap` in class `Copy`
  Parameters:
    `fromDir` - the source directory
    `toDir` - the destination directory
    `names` - a list of filenames
    `mapper` - a `FileNameMapper` value
    `map` - a map of source file to array of destination files

### getToDir

    public java.io.File getToDir()

### getIncludeEmptyDirs

    public boolean getIncludeEmptyDirs()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.